﻿Public Class Form1
    Public CustomerDisplay As New OposLineDisplay_CCO.OPOSLineDisplay

    Private sLogicalName As String
    Private bOpen As Boolean

    Private Sub Form1_Load(sender As System.Object, e As System.EventArgs) Handles MyBase.Load
        InitButtonAttirbutes()
        cbDeviceEnabled.SelectedIndex = 0
        cbCursorType.SelectedIndex = 0
        cbCursorUpdate.SelectedIndex = 0
        cbFreezeEvents.SelectedIndex = 0
        cbBinaryConversion.SelectedIndex = 0
        cbScrollText.SelectedIndex = 0
    End Sub


    Private Sub InitButtonAttirbutes()
        btnOpen.Enabled = True
        btnClose.Enabled = False
        btnClaim.Enabled = False
        btnReleaseDevice.Enabled = False

        btnCheckHealth.Enabled = False
        btnDirectIO.Enabled = False

        btnDisplayText.Enabled = False
        btnDisplayTextAt.Enabled = False
        btnClearText.Enabled = False
        btnRefreshWindow.Enabled = False
        btnScrollText.Enabled = False

        btnBinaryConversion.Enabled = False
        btnDeviceEnabled.Enabled = False
        btnFreezeEvents.Enabled = False

        btnDeviceBrightness.Enabled = False
        btnCharacterSet.Enabled = False

        btnCursorRow.Enabled = False
        btnCursorColumn.Enabled = False
        btnCursorType.Enabled = False
        btnCursorUpdate.Enabled = False

        btnRefresh.Enabled = False
    End Sub

    Private Sub ReadyButtonAttributes()
        btnOpen.Enabled = False
        btnClose.Enabled = True

        btnClaim.Enabled = False
        btnReleaseDevice.Enabled = True

        btnCheckHealth.Enabled = True
        btnDirectIO.Enabled = True

        btnDisplayText.Enabled = True
        btnDisplayTextAt.Enabled = True
        btnClearText.Enabled = True
        btnRefreshWindow.Enabled = True
        btnScrollText.Enabled = True

        btnBinaryConversion.Enabled = True
        btnDeviceEnabled.Enabled = True
        btnFreezeEvents.Enabled = True

        btnDeviceBrightness.Enabled = True
        btnCharacterSet.Enabled = True

        btnCursorRow.Enabled = True
        btnCursorColumn.Enabled = True
        btnCursorType.Enabled = True
        btnCursorUpdate.Enabled = True

        btnRefresh.Enabled = True
    End Sub

    Private Sub RefreshStatus()
        tbState.Text = CustomerDisplay.State.ToString()
    End Sub

    Private Sub RefreshResult()
        tbCheckHealthText.Text = CustomerDisplay.CheckHealthText
        tbClaimed.Text = CustomerDisplay.Claimed.ToString()
        tbOpenResult.Text = CustomerDisplay.OpenResult.ToString()
        tbResultCode.Text = CustomerDisplay.ResultCode.ToString()
        tbResultCodeExtended.Text = CustomerDisplay.ResultCodeExtended.ToString()
        RefreshStatus()
        tbCODescription.Text = CustomerDisplay.ControlObjectDescription
        tbCOVersion.Text = CustomerDisplay.ControlObjectVersion.ToString()
        tbSODescription.Text = CustomerDisplay.ServiceObjectDescription
        tbSOVersion.Text = CustomerDisplay.ServiceObjectVersion
        tbDeviceDescription.Text = CustomerDisplay.DeviceDescription
        tbDeviceName.Text = CustomerDisplay.DeviceName
        tbCapCharacterSet.Text = CustomerDisplay.CapCharacterSet.ToString()
        tbCapCursorType.Text = CustomerDisplay.CapCursorType.ToString()
        tbDeviceRows.Text = CustomerDisplay.Rows.ToString()
        tbDeviceColumns.Text = CustomerDisplay.Columns()
        tbCharacterSetList.Text = CustomerDisplay.CharacterSetList
        tbRows.Text = CustomerDisplay.Rows.ToString()
        tbColumns.Text = CustomerDisplay.Columns.ToString()
        tbCapBrightness.Text = CustomerDisplay.CapBrightness.ToString()

        Dim r As New Integer
        r = CustomerDisplay.DeviceBrightness
        nudDeviceBrightness.Value = r

        tbCharacterSet.Text = CustomerDisplay.CharacterSet.ToString()


    End Sub

    Private Sub btnOpen_Click(sender As System.Object, e As System.EventArgs) Handles btnOpen.Click
        Dim r As New Integer

        sLogicalName = tbLDN.Text
        r = CustomerDisplay.Open(sLogicalName)
        If r = OposSuccess Then
            btnOpen.Enabled = False
            btnClose.Enabled = True
            btnClaim.Enabled = True
        End If

        tbOpenResult.Text = CustomerDisplay.OpenResult.ToString()
        RefreshResult()

    End Sub

    Private Sub btnClaim_Click(sender As System.Object, e As System.EventArgs) Handles btnClaim.Click
        Dim r As New Integer
        r = CustomerDisplay.ClaimDevice(1000)
        If r = OposSuccess Then
            ReadyButtonAttributes()
        End If

        RefreshResult()
    End Sub

    Private Sub btnReleaseDevice_Click(sender As System.Object, e As System.EventArgs) Handles btnReleaseDevice.Click
        Dim r As New Integer
        r = CustomerDisplay.ReleaseDevice()
        If r = OposSuccess Then
            btnClaim.Enabled = True
            btnReleaseDevice.Enabled = False
        End If

        RefreshResult()
    End Sub

    Private Sub btnClose_Click(sender As System.Object, e As System.EventArgs) Handles btnClose.Click
        Dim r As New Integer

        r = CustomerDisplay.Close()
        InitButtonAttirbutes()
        RefreshResult()
    End Sub

    Private Sub btnRefresh_Click(sender As System.Object, e As System.EventArgs) Handles btnRefresh.Click
        RefreshResult()
    End Sub

    Private Sub btnCheckHealth_Click(sender As System.Object, e As System.EventArgs) Handles btnCheckHealth.Click
        Dim r As New Integer
        'r = CustomerDisplay.CheckHealth(OposChInternal)
        r = CustomerDisplay.CheckHealth(OposChExternal)
        'r = CustomerDisplay.CheckHealth(OposChInteractive)

        If r = OposSuccess Then
            ReadyButtonAttributes()
        End If

        RefreshResult()
    End Sub

    Private Sub btnDisplayText_Click(sender As System.Object, e As System.EventArgs) Handles btnDisplayText.Click
        Dim r As New Integer
        r = CustomerDisplay.DisplayText(tbDisplayText.Text, DispDtNormal)

        RefreshResult()
    End Sub


    Private Sub btnDisplayTextAt_Click(sender As System.Object, e As System.EventArgs) Handles btnDisplayTextAt.Click
        Dim r As New Integer
        r = CustomerDisplay.DisplayTextAt(nudAtRow.Value(), nudAtCol.Value, tbDisplayText.Text, DispDtNormal)

        RefreshResult()
    End Sub

    Private Sub btnClearText_Click(sender As System.Object, e As System.EventArgs) Handles btnClearText.Click
        Dim r As New Integer
        r = CustomerDisplay.ClearText()
        RefreshResult()
    End Sub

    Private Sub btnRefreshWindow_Click(sender As System.Object, e As System.EventArgs) Handles btnRefreshWindow.Click
        Dim r As New Integer
        r = CustomerDisplay.RefreshWindow(0)

        RefreshResult()
    End Sub

    Private Sub btnDeviceEnabled_Click(sender As System.Object, e As System.EventArgs) Handles btnDeviceEnabled.Click
        Dim r As New Integer
        Dim s As String = ""

        s = cbDeviceEnabled.SelectedItem.ToString


        If s = "TRUE" Then
            CustomerDisplay.DeviceEnabled = True
        ElseIf s = "FALSE" Then
            CustomerDisplay.DeviceEnabled = False
        End If

        RefreshResult()

    End Sub

    Private Sub btnDirectIO_Click(sender As System.Object, e As System.EventArgs) Handles btnDirectIO.Click
 
    End Sub

    Private Sub btnCharacterSet_Click(sender As System.Object, e As System.EventArgs) Handles btnCharacterSet.Click
        CustomerDisplay.CharacterSet = tbCharacterSet.Text
    End Sub


    Private Sub btnCursorRow_Click(sender As System.Object, e As System.EventArgs) Handles btnCursorRow.Click
        CustomerDisplay.CursorRow = nudCursorRow.Value
    End Sub

    Private Sub btnCursorColumn_Click(sender As System.Object, e As System.EventArgs) Handles btnCursorColumn.Click
        CustomerDisplay.CursorColumn = nudCursorColumn.Value
    End Sub

    Private Sub btnCursorType_Click(sender As System.Object, e As System.EventArgs) Handles btnCursorType.Click

        Dim idx As Integer = cbCursorType.SelectedIndex()

        If cbCursorType.SelectedItem.ToString() = "DISP_CT_BLINK" Then
            CustomerDisplay.CursorType = &H10000004
        Else
            CustomerDisplay.CursorType = cbCursorType.SelectedIndex()
        End If

    End Sub


    Private Sub btnDeviceBrightness_Click(sender As System.Object, e As System.EventArgs) Handles btnDeviceBrightness.Click
        CustomerDisplay.DeviceBrightness = nudDeviceBrightness.Value
    End Sub

    Private Sub btnScrollText_Click(sender As System.Object, e As System.EventArgs) Handles btnScrollText.Click
        CustomerDisplay.ScrollText(cbScrollText.SelectedIndex + 1, 1)
    End Sub

    Private Sub btnBinaryConversion_Click(sender As System.Object, e As System.EventArgs) Handles btnBinaryConversion.Click

        Dim r As New Integer
        Dim s As String = ""

        s = cbBinaryConversion.SelectedItem.ToString

        If s = "OPOS_BC_NONE" Then
            CustomerDisplay.BinaryConversion = OposBcNone
        ElseIf s = "OPOS_BC_NIBBLE" Then
            CustomerDisplay.BinaryConversion = OposBcNibble
        ElseIf s = "OPOS_BC_DECIMAL" Then
            CustomerDisplay.BinaryConversion = OposBcDecimal
        End If

        RefreshResult()
    End Sub

    Private Sub btnCursorUpdate_Click(sender As System.Object, e As System.EventArgs) Handles btnCursorUpdate.Click

    End Sub
End Class
